TFDi Design Icon
TFDi Design
VA APIFlightsBookings

View Bookings

View all the bookings the pilot has currently made

GET
/flights/bookings

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/flights/bookings"
[  {    "code": "string",    "number": "string",    "type": "string",    "departureAirport": "string",    "arrivalAirport": "string",    "route": [      "string"    ],    "aircraft": 0,    "flightLevel": 0,    "distance": 0,    "departureTime": "string",    "arrivalTime": "string",    "flightTime": 0,    "daysOfWeek": [      "string"    ],    "subfleets": [      "string"    ],    "notes": "string",    "bidID": 0  }]